<?php

namespace Litecms\Sponserbonus;

use User;

class Sponserbonus
{
    /**
     * $sponserbonus object.
     */
    protected $sponserbonus;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Sponserbonus\Interfaces\SponserbonusRepositoryInterface $sponserbonus)
    {
        $this->sponserbonus = $sponserbonus;
    }

    /**
     * Returns count of sponserbonus.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.sponserbonus.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->sponserbonus->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\SponserbonusUserCriteria());
        }

        $sponserbonus = $this->sponserbonus->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('sponserbonus::' . $view, compact('sponserbonus'))->render();
    }
}
